Mangools/API

Ability to change tracking domain, location

Update the target domain of a tracking, or its local-SEO configuration (Google Business Profile place_id together with the business name and address).

At least one changed field is required. Updating to a domain, location and platform combination already used by another active tracking returns HTTP 409.

PATCH
/serpwatcher/trackings/{tracking_id}

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Path Parameters

tracking_id*string

tracking_id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.mangools.com/v3/serpwatcher/trackings/string" \  -H "Content-Type: application/json" \  -d '{    "domain": "mangools.com"  }'
{
  "tracking": {
    "_id": "string",
    "domain": "string",
    "tracking_config": {
      "address": "string",
      "ludocid": "string",
      "name": "string",
      "place_id": "string"
    }
  },
  "annotation": {
    "date": "string",
    "content": {
      "text": "string",
      "keywords_count": 0,
      "avg": 0,
      "platformId": 0
    },
    "tracking_id": "string",
    "user_id": "string",
    "created_at": "string",
    "type": 0
  }
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "Error",
    "message": "Tag not found"
  }
}
{
  "error": {
    "type": "ValidationError",
    "message": "Your request is invalid",
    "errors": [
      "\"kw\" is required"
    ]
  }
}